// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_FByteProperty.h"
#include "SCW_FNumericProperty.h"

class FByteProperty;

namespace Sourcify
{
	class SCW_FByteProperty : public SCW_FNumericProperty, public virtual ISCW_FByteProperty
	{
	public:
		SCW_FByteProperty(FByteProperty* InByteProperty);

		ISCW_UEnumPtr GetEnum() const override;

		FByteProperty* ToFByteProperty() const;

	protected:
		FByteProperty* ByteProperty;
	};
} // namespace Sourcify